## portaudio19 19%2Bsvn20140130

=== debian/watch ===
version=3
opts=uversionmangle=s/_/\+svn/;s/_rc// \
 http://www.portaudio.com/archives/pa_stable_v(19_.*)\.t(?:ar\.)?gz
