## portaudio19 19+svn20100802

=== debian/changelog ===
portaudio19 (19+svn20100802-0ubuntu1) maverick; urgency=low

  [ Luke Yelavich ]
  * New upstream snapshot

  Changes from unreleased Debian SVN:

  [ Kilian Krause ]
  * Alter Build-Depends from libjack0.100.0-dev to libjack-dev (Closes: #527423)

  [ Benjamin Drung ]
  * New upstream snapshot (Closes: #560111).
  * Add myself to Uploaders.
  * Refresh get-orig-source rule.
  * Switch to debhelper 7 and use dh.
  * Build agains libjack on all architectures (Closes: #472574).
  * Bump Standards-Version to 3.8.4.
  * Add ${misc:Depends} to dependencies.
  * Update debian/copyright.
  * Drop dpatch and switch to dpkg-source 3.0 (quilt) format.
  * Replace 01_config.dpatch by config.patch.
  * Add audacity-portmixer.patch for adding features needed to make portmixer
    work with audacity.
  * Add .symbols files to library packages.
  * portaudio19-dev depends on libportaudiocpp0.

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 03 Aug 2010 14:22:39 +1000

portaudio19 (19+svn20071022-3) unstable; urgency=low

  [ Patrick Matthäi ]
  * Fixed doc-base section.
  * Removed extra whitespaces at after the Abstract field in the doc-base.
    Thanks lintian.

  [ Mark Purcell ]
  * paravoid fixed lintian:xs-vcs-header-in-debian-control
  * Fix lintian:debian-watch-file-is-missing

 -- Mark Purcell <msp@debian.org>  Sun, 12 Oct 2008 15:35:36 +1100

portaudio19 (19+svn20071022-2) unstable; urgency=low

  * Vanilla 'dh_makeshlibs -a' does correct magic
    - shlibs file incorrect: does not force dependency on libportaudiocpp0
    (Closes: #447819)
  * We only support upgrades from stable/etch 19+svn20060825-1, thus
    libportaudio2 (>= 19+cvs20060311-1) is unnecssary

 -- Mark Purcell <msp@debian.org>  Thu, 25 Oct 2007 06:59:26 +0100

portaudio19 (19+svn20071022-1) unstable; urgency=low

  [ Mark Purcell ]
  * New upstream release
    - libportaudio2: new snapshot (Closes: #447338)

  [ Kilian Krause ]
  * Use ${binary:Version} for binNMU-safe uploads.
    Add dpkg-dev (>= 1.13.19) to Build-Depends
  * Don't ignore make clean errors.
  * Fix dh_makeshlibs call. Get rid of libportaudiocpp0 binary:
    shlibs-declares-dependency-on-other-package libportaudio2.
  * Add Homepage field as added in dpkg-dev 1.14.6.

 -- Mark Purcell <msp@debian.org>  Tue, 23 Oct 2007 07:13:43 +0100

portaudio19 (19+svn20070125-1) unstable; urgency=low

  [ Mikael Magnusson ]
  * Update to svn 20070125 (r1174)
  * Disable JACK and ringbuffer on all architectures except i386 and
    powerpc.  (Closes: #406754: FTBFS: #error Memory barriers are not
    defined on this system)

 -- Mikael Magnusson <mikma@users.sourceforge.net>  Sun, 25 Mar 2007 17:04:32 +0100

portaudio19 (19+svn20070113-1) unstable; urgency=low

  * New upstream release
  * debian/rules: add binary-indep
  * FTBFS on GNU/kFreeBSD  (due to unsatisfied Build-Depends on
    libasound2-dev) (Closes: #401052)
  * FTBFS on GNU/kFreeBSD (pa_unix_oss support) (Closes: #406717)

 -- Mikael Magnusson <mikma@users.sourceforge.net>  Sat, 13 Jan 2007 12:18:36 +0100

portaudio19 (19+svn20060825-1) unstable; urgency=low

  * Initial release. (Closes: #328873: portaudio: please package v19)
  * Disable V18 compatibility and bump shlib dependency
  * Change SONAME to libportaudio2.so
  * Updated debian/copyright with more copyright holders and added the
    licence interpretation from the PortAudio web site.
  * Updated package descriptions and added homepage url:s.
  * Removed unused patches: 20_compat and 30_alsa.
  * Removed patches applied by upstream: 40_vpath_libtool and
    41_vpath_libtool_gen.
  * Fixed path to low_latency_tip.txt, moved by upstream.
  * Add print-version and get-orig-source targets to rules.
  * Include C++ bindings.
  * Rename libportaudio2-dev to portaudio19-dev, since it contains the
    developer files for both the libportaudio2 and libportaudiocpp0
    packages. Also rename libportaudio2-doc to portaudio19-doc.
  * Include C++ examples.
  * Bump Standards-Version to 3.7.2. No changes required.
  * Removed old documents and added doxygen generated documentation.
  * Updated copyright, license modified by upstream.

 -- Mikael Magnusson <mikma@users.sourceforge.net>  Thu, 24 Aug 2006 14:23:41 +0200

portaudio19 (19+20041112-3) experimental; urgency=low

  * Enabled OSS and JACK

 -- Mikael Magnusson <mikma@users.sourceforge.net>  Tue,  1 Mar 2005 20:08:03 +0100

portaudio19 (19+20041112-2) experimental; urgency=low

  * Added missing depends to libportaudio19-dev: libasound2-dev, libjack-dev

 -- Mikael Magnusson <mikma@users.sourceforge.net>  Fri, 19 Nov 2004 00:15:00 +0100

portaudio19 (19+20041112-1) experimental; urgency=low

  * New upstream release
  * VPATH support in Makefile.in

 -- Mikael Magnusson <mikma@users.sourceforge.net>  Sat, 13 Nov 2004 12:16:47 +0100

portaudio19 (19+20041104-1) experimental; urgency=low

  * New upstream release

 -- Mikael Magnusson <mikma@users.sourceforge.net>  Thu,  4 Nov 2004 16:46:48 +0100

portaudio19 (19+20040729-2) experimental; urgency=low

  * Added V18 compatibility.
  * ALSA: Support of multiple devices for each card.

 -- Mikael Magnusson <mikma@users.sourceforge.net>  Wed,  3 Nov 2004 15:56:49 +0100

portaudio19 (19+20040729-1) experimental; urgency=low

  * -D_REENTRANT must be specified when building libraries.
  * Enforce symbol resolution at build time with -Wl,-z,defs.
  * Fixed CFLAGS in configure.
  * Link with libm and libpthread.

 -- Mikael Magnusson <mikma@users.sourceforge.net>  Wed, 29 Sep 2004 20:24:20 +0200

portaudio19 (19+20040729-0) experimental; urgency=low

  * Initial Release.

 -- Mikael Magnusson <mikma@users.sourceforge.net>  Tue, 28 Sep 2004 14:40:10 +0200
