=== debian/control ===
Source: portaudio19
Priority: optional
Section: sound
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Kilian Krause <kilian@debian.org>,
           Jose Carlos Garcia Sogo <jsogo@debian.org>,
           Mark Purcell <msp@debian.org>,
           Mikael Magnusson <mikma@users.sourceforge.net>,
           Benjamin Drung <bdrung@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
               doxygen,
               dpkg-dev (>= 1.13.19),
               libasound2-dev [!hurd-i386 !kfreebsd-amd64 !kfreebsd-i386],
               libjack-dev
Standards-Version: 3.8.4
Homepage: http://www.portaudio.com/
Vcs-Svn: svn://svn.debian.org/pkg-voip/portaudio19/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/portaudio19/?op=log

Package: libportaudio2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Portable audio I/O - shared library
 PortAudio is a portable audio I/O library designed for cross-platform
 support of audio. It uses a callback mechanism to request audio
 processing.  Audio can be generated in various formats, including 32
 bit floating point, and will be converted to the native format
 internally.
 .
 This package contains the shared library.

Package: libportaudiocpp0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Portable audio I/O C++ bindings - shared library
 PortAudio is a portable audio I/O library designed for cross-platform
 support of audio. It uses a callback mechanism to request audio
 processing.  Audio can be generated in various formats, including 32
 bit floating point, and will be converted to the native format
 internally.
 .
 This package contains the shared library of the C++ bindings.

Package: portaudio19-dev
Section: devel
Architecture: any
Depends: libasound2-dev [linux-any],
         libjack-dev,
         libportaudio2 (= ${binary:Version}),
         libportaudiocpp0 (= ${binary:Version}),
         ${misc:Depends}
Conflicts: libportaudio-dev, libportaudio19-dev, libportaudio-19-dev
Replaces: libportaudio19-dev, libportaudio-19-dev
Description: Portable audio I/O - development files
 PortAudio is a portable audio I/O library designed for cross-platform
 support of audio. It uses a callback mechanism to request audio
 processing.  Audio can be generated in various formats, including 32
 bit floating point, and will be converted to the native format
 internally.
 .
 This package contains the development files.

Package: portaudio19-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Portable audio I/O - documentation
 PortAudio is a portable audio I/O library designed for cross-platform
 support of audio. It uses a callback mechanism to request audio
 processing.  Audio can be generated in various formats, including 32
 bit floating point, and will be converted to the native format
 internally.
 .
 This package contains the documentation.
