## portaudio19 19+svn20110317

=== debian/changelog ===
portaudio19 (19+svn20110317-1) unstable; urgency=low

  * New upstream stable release candidate.

 -- Benjamin Drung <bdrung@debian.org>  Fri, 18 Mar 2011 15:05:49 +0100

portaudio19 (19+svn20110302-1) unstable; urgency=low

  * New upstream stable release candidate.
  * Drop patches that were accepted upstream.
  * Refresh audacity-portmixer.patch.
  * Add new PaAlsa_SetLibraryPathName@Base to libportaudio2 symbols.

 -- Benjamin Drung <bdrung@debian.org>  Sat, 05 Mar 2011 13:02:48 +0100

portaudio19 (19+svn20101113-3) unstable; urgency=low

  * Install headers for portAudio backends.

 -- Benjamin Drung <bdrung@debian.org>  Sat, 26 Feb 2011 16:01:54 +0100

portaudio19 (19+svn20101113-2) unstable; urgency=low

  * Export OSS functions.
  * Disable parallel build which can lead to a build failure.

 -- Benjamin Drung <bdrung@debian.org>  Fri, 25 Feb 2011 00:51:02 +0100

portaudio19 (19+svn20101113-1) unstable; urgency=low

  [ Kilian Krause ]
  * Alter Build-Depends from libjack0.100.0-dev to libjack-dev (Closes: #527423)

  [ Benjamin Drung ]
  * New upstream snapshot (Closes: #560111).
  * Add myself to Uploaders.
  * Refresh get-orig-source rule.
  * Switch to debhelper 8 and use dh.
  * Build agains libjack on all architectures (Closes: #472574).
  * Bump Standards-Version to 3.9.1.
  * Add ${misc:Depends} to dependencies.
  * Update debian/copyright.
  * Drop dpatch and switch to dpkg-source 3.0 (quilt) format.
  * Replace 01_config.dpatch by running autoreconf (Closes: #558621).
  * Add audacity-portmixer.patch for adding features needed to make portmixer
    work with audacity.
  * Add .symbols files to library packages.
  * portaudio19-dev depends on libportaudiocpp0.
  * Do not install .la file.
  * Remove Mikael Magnusson from Uploaders. Thanks for your work.

 -- Benjamin Drung <bdrung@debian.org>  Mon, 21 Feb 2011 00:41:10 +0100
