=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: portaudio19
 Priority: optional
 Section: sound
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Kilian Krause <kilian@debian.org>,
            Jose Carlos Garcia Sogo <jsogo@debian.org>,
            Mark Purcell <msp@debian.org>,
-           Mikael Magnusson <mikma@users.sourceforge.net>,
-           Benjamin Drung <bdrung@ubuntu.com>
-Build-Depends: debhelper (>= 7.0.50~),
+           Benjamin Drung <bdrung@debian.org>
+Build-Depends: automake,
+               debhelper (>= 8),
+               dh-autoreconf,
                doxygen,
                dpkg-dev (>= 1.13.19),
                libasound2-dev [!hurd-i386 !kfreebsd-amd64 !kfreebsd-i386],
                libjack-dev
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://www.portaudio.com/
 Vcs-Svn: svn://svn.debian.org/pkg-voip/portaudio19/trunk/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/portaudio19/?op=log
@@ -21,7 +21,7 @@
 Package: libportaudio2
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Portable audio I/O - shared library
  PortAudio is a portable audio I/O library designed for cross-platform
  support of audio. It uses a callback mechanism to request audio
@@ -34,7 +34,7 @@
 Package: libportaudiocpp0
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Portable audio I/O C++ bindings - shared library
  PortAudio is a portable audio I/O library designed for cross-platform
  support of audio. It uses a callback mechanism to request audio
@@ -52,8 +52,8 @@
          libportaudio2 (= ${binary:Version}),
          libportaudiocpp0 (= ${binary:Version}),
          ${misc:Depends}
-Conflicts: libportaudio-dev, libportaudio19-dev, libportaudio-19-dev
-Replaces: libportaudio19-dev, libportaudio-19-dev
+Conflicts: libportaudio-19-dev, libportaudio-dev, libportaudio19-dev
+Replaces: libportaudio-19-dev, libportaudio19-dev
 Description: Portable audio I/O - development files
  PortAudio is a portable audio I/O library designed for cross-platform
  support of audio. It uses a callback mechanism to request audio
