=== debian/watch ===
# See uscan(1) for format

version=3

#http://www.portaudio.com/archives/pa_stable_v19_(.*).tar.gz

opts=dversionmangle=s/+svn/_/ \
 http://www.portaudio.com/archives/pa_stable_v(19_.*).tar.gz
