## portaudio19 19+svn20110326

=== debian/changelog ===
portaudio19 (19+svn20110326-2) unstable; urgency=low

  * Acknowledge NMU.
  * Use linux-any instead of hardcoded list of non-Linux architectures.
    (Closes: #634610)

 -- Benjamin Drung <bdrung@debian.org>  Wed, 20 Jul 2011 01:49:33 +0200

portaudio19 (19+svn20110326-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add debian/patches/static-lib.patch to fix generation of libportaudio.a
    (Closes: #626307).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 11 Jun 2011 22:52:31 +0200

portaudio19 (19+svn20110326-1) unstable; urgency=low

  * New upstream stable release.
  * Update debian/watch.
  * Refresh audacity-portmixer.patch.
  * Bump Standards-Version to 3.9.2 (no changes required).

 -- Benjamin Drung <bdrung@debian.org>  Sat, 16 Apr 2011 20:29:15 +0200
