=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
                dh-autoreconf,
                doxygen,
                dpkg-dev (>= 1.13.19),
-               libasound2-dev [!hurd-i386 !kfreebsd-amd64 !kfreebsd-i386],
+               libasound2-dev [linux-any],
                libjack-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.portaudio.com/
 Vcs-Svn: svn://svn.debian.org/pkg-voip/portaudio19/trunk/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/portaudio19/?op=log
