=== debian/watch ===
version=3
opts=uversionmangle=s/_/\+svn/ \
 http://www.portaudio.com/archives/pa_stable_v(19_.*)\.t(?:ar\.)?gz
