## portaudio19 19+svn20111121

=== debian/changelog ===
portaudio19 (19+svn20111121-1) unstable; urgency=low

  * New upstream stable release.
  * Refresh audacity-portmixer.patch.
  * Drop static-lib.patch (accepted upstream).
  * Transition to Multi-Arch: same; thanks to Gregory Hainaut for the
    patch (Closes: #645123).

 -- Benjamin Drung <bdrung@debian.org>  Thu, 08 Dec 2011 00:03:04 +0100
