=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
            Mark Purcell <msp@debian.org>,
            Benjamin Drung <bdrung@debian.org>
 Build-Depends: automake,
-               debhelper (>= 8),
+               debhelper (>= 8.1.3),
                dh-autoreconf,
                doxygen,
                dpkg-dev (>= 1.13.19),
@@ -21,6 +21,8 @@
 Package: libportaudio2
 Section: libs
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Portable audio I/O - shared library
  PortAudio is a portable audio I/O library designed for cross-platform
@@ -34,6 +36,8 @@
 Package: libportaudiocpp0
 Section: libs
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Portable audio I/O C++ bindings - shared library
  PortAudio is a portable audio I/O library designed for cross-platform
