## portaudio19 19+svn20140130

=== debian/changelog ===
portaudio19 (19+svn20140130-1) unstable; urgency=medium

  * New upstream release.
  * Let portaudio19-dev suggest portaudio19-doc. (Closes: #735538)

 -- Benjamin Drung <bdrung@debian.org>  Sun, 16 Feb 2014 00:26:56 +0100

portaudio19 (19+svn20140114-1) unstable; urgency=medium

  * New upstream release candidate.
  * debian/watch: Strip _rc from upstream version.
  * Bump Standards-Version to 3.9.5.
  * Refresh portmixer patch.

 -- Benjamin Drung <bdrung@debian.org>  Wed, 15 Jan 2014 23:17:51 +0100

portaudio19 (19+svn20111121-2) unstable; urgency=low

  * Bump debhelper to version 9 and drop the lintian override.
  * Use canonical URLs for Vcs fields.
  * Bump Standards-Version to 3.9.4 (no changes needed).

 -- Benjamin Drung <bdrung@debian.org>  Wed, 02 Oct 2013 01:25:36 +0200
