=== debian/control ===
--- 
+++ 
@@ -7,16 +7,16 @@
            Mark Purcell <msp@debian.org>,
            Benjamin Drung <bdrung@debian.org>
 Build-Depends: automake,
-               debhelper (>= 8.1.3),
+               debhelper (>= 9),
                dh-autoreconf,
                doxygen,
                dpkg-dev (>= 1.13.19),
                libasound2-dev [linux-any],
                libjack-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.5
 Homepage: http://www.portaudio.com/
-Vcs-Svn: svn://svn.debian.org/pkg-voip/portaudio19/trunk/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/portaudio19/?op=log
+Vcs-Svn: svn://anonscm.debian.org/pkg-voip/portaudio19/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-voip/portaudio19/trunk/
 
 Package: libportaudio2
 Section: libs
@@ -56,6 +56,7 @@
          libportaudio2 (= ${binary:Version}),
          libportaudiocpp0 (= ${binary:Version}),
          ${misc:Depends}
+Suggests: portaudio19-doc
 Conflicts: libportaudio-19-dev, libportaudio-dev, libportaudio19-dev
 Replaces: libportaudio-19-dev, libportaudio19-dev
 Description: Portable audio I/O - development files
