=== debian/rules ===
--- 
+++ 
@@ -14,8 +14,6 @@
 override_dh_auto_build:
 	dh_auto_build
 	doxygen
-	# Work around Debian bug #622147
-	rm -f doc/html/jquery.js
 
 DEBVERSION := $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')
 UPVERSION:=$(shell echo $(DEBVERSION) | sed -e 's/^.*://' -e 's/-[0-9.]*$$//' -e 's/.dfsg$$//')
