## portaudio19 19.6.0

=== debian/changelog ===
portaudio19 (19.6.0-1.2build3) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Apr 2024 07:21:10 +0000

portaudio19 (19.6.0-1.2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:15:27 +0000

portaudio19 (19.6.0-1.2build1) noble; urgency=medium

  * No change rebuild to fix the libasound co-installability

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 29 Feb 2024 20:28:00 +0100

portaudio19 (19.6.0-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Work around autoconf weirdness to fix FTBFS (Closes: #997360)
  * Explicitly Build-Depend on pkg-config (Closes: #861236)
  * portaudio19-dev: alternate Depends on libjack-jackd2-dev (Closes: #718221)
  * Update uploaders list (Closes: #862625)
  * Point to correct package git repo (Closes: #985041)
  * Point debian/watch to upstream's new repo on GitHub

 -- Florian Ernst <florian@debian.org>  Sun, 03 Apr 2022 18:44:37 +0200

portaudio19 (19.6.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply crash fix patch (Closes: #944509)

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 30 Jul 2020 16:27:02 +0200

portaudio19 (19.6.0-1) unstable; urgency=medium

  * New upstream release v190600_20161030
  * Update debian/watch to match upstream release 19.6.0
  * Move packaging repository to git and update Vcs links
  * Refresh audacity-portmixer.patch
  * Drop alsa lockup fix patch (included in upstream release)
  * Bump Standards-Version to 3.9.8 (no changes needed)
  * Add new Pa_GetVersionInfo@Base symbol to libportaudio2
  * Enable all hardening flags
  * Link jquery.js file to the one provided by libjs-jquery
  * Drop get-orig-source rule (upstream moved from svn to git)
  * Mark portaudio19-dev Multi-Arch: same and portaudio19-doc foreign

 -- Benjamin Drung <bdrung@debian.org>  Sun, 25 Dec 2016 22:08:34 +0100

portaudio19 (19+svn20140130-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix lockups in portaudio after upgrading to alsa-lib 1.1.2
    (Closes: #833950)
  * Build only PIC objects (Closes: #837424)
  * Move portaudio19-dev to section libdevel (Closes: #813990)

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 29 Sep 2016 14:34:58 +0200
