=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: portaudio19
 Priority: optional
 Section: sound
-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Kilian Krause <kilian@debian.org>,
-           Jose Carlos Garcia Sogo <jsogo@debian.org>,
            Mark Purcell <msp@debian.org>,
            Benjamin Drung <bdrung@debian.org>
 Build-Depends: automake,
@@ -12,11 +12,12 @@
                doxygen,
                dpkg-dev (>= 1.13.19),
                libasound2-dev [linux-any],
-               libjack-dev
-Standards-Version: 3.9.5
+               libjack-dev,
+               pkg-config
+Standards-Version: 3.9.8
 Homepage: http://www.portaudio.com/
-Vcs-Svn: svn://anonscm.debian.org/pkg-voip/portaudio19/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-voip/portaudio19/trunk/
+Vcs-Browser: https://salsa.debian.org/pkg-voip-team/portaudio19
+Vcs-Git: https://salsa.debian.org/pkg-voip-team/portaudio19.git
 
 Package: libportaudio2
 Section: libs
@@ -49,10 +50,11 @@
  This package contains the shared library of the C++ bindings.
 
 Package: portaudio19-dev
-Section: devel
+Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libasound2-dev [linux-any],
-         libjack-dev,
+         libjack-jackd2-dev | libjack-dev,
          libportaudio2 (= ${binary:Version}),
          libportaudiocpp0 (= ${binary:Version}),
          ${misc:Depends}
@@ -71,7 +73,8 @@
 Package: portaudio19-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}
+Multi-Arch: foreign
+Depends: libjs-jquery, ${misc:Depends}
 Description: Portable audio I/O - documentation
  PortAudio is a portable audio I/O library designed for cross-platform
  support of audio. It uses a callback mechanism to request audio
