## portaudio19 19.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,13 +11,16 @@
 # been imported by some other CMakeLists.txt), we don't want to trump over
 # the top of that project's global settings.
 IF(${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_CURRENT_LIST_DIR})
+  PROJECT(portaudio)
+
+  # CMAKE_CONFIGURATION_TYPES only exists for multi-config generators (like
+  # Visual Studio or Xcode). For these projects, we won't define
+  # CMAKE_BUILD_TYPE as it does not make sense.
   IF(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
     MESSAGE(STATUS "Setting CMAKE_BUILD_TYPE type to 'Debug' as none was specified.")
     SET(CMAKE_BUILD_TYPE Debug CACHE STRING "Choose the type of build." FORCE)
     SET_PROPERTY(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS "Debug" "Release")
   ENDIF()
-
-  PROJECT(portaudio)
 
   SET_PROPERTY(GLOBAL PROPERTY USE_FOLDERS ON)
 
@@ -37,7 +40,9 @@
   ENDIF()
 ENDIF()
 
-SET(PA_PKGCONFIG_VERSION 19)
+SET(PA_VERSION 19)
+SET(PA_PKGCONFIG_VERSION ${PA_VERSION})
+SET(PA_SOVERSION "${PA_VERSION}.0")
 
 # Most of the code from this point onwards is related to populating the
 # following variables:
@@ -164,58 +169,46 @@
     SET(DEF_EXCLUDE_ASIO_SYMBOLS ";")
   ENDIF()
 
-  # Try to find DirectX SDK
-  FIND_PACKAGE(DXSDK)
-  IF(DXSDK_FOUND)
-    OPTION(PA_USE_DS "Enable support for DirectSound" ON)
-  ELSE()
-    OPTION(PA_USE_DS "Enable support for DirectSound" OFF)
-  ENDIF()
+  OPTION(PA_USE_DS "Enable support for DirectSound" ON)
   IF(PA_USE_DS)
-    OPTION(PA_USE_DIRECTSOUNDFULLDUPLEXCREATE "Use DirectSound full duplex create" ON)
+    IF(MINGW)
+      MESSAGE(STATUS "DirectSound support will be built with DSound provided by MinGW.")
+      OPTION(PA_USE_DIRECTSOUNDFULLDUPLEXCREATE "Use DirectSound full duplex create" OFF)
+    ELSE(MINGW)
+      OPTION(PA_USE_DIRECTSOUNDFULLDUPLEXCREATE "Use DirectSound full duplex create" ON)
+    ENDIF(MINGW)
     MARK_AS_ADVANCED(PA_USE_DIRECTSOUNDFULLDUPLEXCREATE)
     IF(PA_USE_DIRECTSOUNDFULLDUPLEXCREATE)
       SET(PA_PRIVATE_COMPILE_DEFINITIONS ${PA_PRIVATE_COMPILE_DEFINITIONS} PAWIN_USE_DIRECTSOUNDFULLDUPLEXCREATE)
     ENDIF()
-    SET(PA_PRIVATE_INCLUDE_PATHS ${PA_PRIVATE_INCLUDE_PATHS} ${DXSDK_INCLUDE_DIR})
     SET(PA_DS_INCLUDES src/hostapi/dsound/pa_win_ds_dynlink.h)
     SET(PA_DS_SOURCES src/hostapi/dsound/pa_win_ds.c src/hostapi/dsound/pa_win_ds_dynlink.c)
     SOURCE_GROUP("hostapi\\dsound" FILES ${PA_DS_INCLUDES} ${PA_DS_SOURCES})
-    SET(PA_PUBLIC_INCLUDES ${PA_PUBLIC_INCLUDES} include/pa_win_ds.h)
+    SET(PA_PUBLIC_INCLUDES ${PA_PUBLIC_INCLUDES} include/pa_win_ds.h include/pa_win_waveformat.h)
     SET(PA_PRIVATE_INCLUDES ${PA_PRIVATE_INCLUDES} ${PA_DS_INCLUDES})
     SET(PA_SOURCES ${PA_SOURCES} ${PA_DS_SOURCES})
-
-    # If we use DirectSound, we need this for the library to be found (if not in VS project settings)
-    IF(DXSDK_FOUND)
-      SET(PA_LIBRARY_DEPENDENCIES ${PA_LIBRARY_DEPENDENCIES} ${DXSDK_DSOUND_LIBRARY})
-    ENDIF()
-  ENDIF()
+    SET(PA_LIBRARY_DEPENDENCIES ${PA_LIBRARY_DEPENDENCIES} dsound)
+  ENDIF(PA_USE_DS)
 
   OPTION(PA_USE_WMME "Enable support for MME" ON)
   IF(PA_USE_WMME)
     SET(PA_WMME_SOURCES src/hostapi/wmme/pa_win_wmme.c)
     SOURCE_GROUP("hostapi\\wmme" FILES ${PA_WMME_SOURCES})
-    SET(PA_PUBLIC_INCLUDES ${PA_PUBLIC_INCLUDES} include/pa_win_wmme.h)
+    SET(PA_PUBLIC_INCLUDES ${PA_PUBLIC_INCLUDES} include/pa_win_wmme.h include/pa_win_waveformat.h)
     SET(PA_SOURCES ${PA_SOURCES} ${PA_WMME_SOURCES})
     SET(PA_LIBRARY_DEPENDENCIES ${PA_LIBRARY_DEPENDENCIES} ole32 uuid)
   ENDIF()
 
-  IF(MSVS)
-    OPTION(PA_USE_WASAPI "Enable support for WASAPI" ON)
-  ELSE()
-    # I was unable to get WASAPI to compile outside of Visual Studio. If
-    # anyone can figure out how to make this work with MinGW, please fix me.
-    SET(PA_USE_WASAPI OFF)
-  ENDIF()
+  # MinGW versions below 4.93, especially non MinGW-w64 distributions may
+  # break in the wasapi build. If an older MinGW version is required, WASAPI-
+  # support needs to be disabled.
+  OPTION(PA_USE_WASAPI "Enable support for WASAPI" ON)
   IF(PA_USE_WASAPI)
     SET(PA_WASAPI_SOURCES src/hostapi/wasapi/pa_win_wasapi.c)
     SOURCE_GROUP("hostapi\\wasapi" FILES ${PA_WASAPI_SOURCES})
-    SET(PA_PUBLIC_INCLUDES ${PA_PUBLIC_INCLUDES} include/pa_win_wasapi.h)
+    SET(PA_PUBLIC_INCLUDES ${PA_PUBLIC_INCLUDES} include/pa_win_wasapi.h include/pa_win_waveformat.h)
     SET(PA_SOURCES ${PA_SOURCES} ${PA_WASAPI_SOURCES})
     SET(PA_LIBRARY_DEPENDENCIES ${PA_LIBRARY_DEPENDENCIES} ole32 uuid)
-    IF(NOT MSVC)
-      SET(PA_PRIVATE_INCLUDE_PATHS ${PA_PRIVATE_INCLUDE_PATHS} src/hostapi/wasapi/mingw-include)
-    ENDIF()
   ELSE()
     SET(DEF_EXCLUDE_WASAPI_SYMBOLS ";")
   ENDIF()
