=== debian/changelog ===
portaudio19 (19.7.0-1) unstable; urgency=medium

  * New upstream release (Closes: #1003575)
  * Drop 944509-crash.patch (fixed upstream)
  * Refresh remaining patches
  * portaudio19-doc: Update README file name and drop removed index.html
  * portaudio19-doc: drop doc subdirectory
  * Replace pkg-config build dependency by pkgconf
  * Add Build-Depends-Package to libportaudio2 symbols
  * Switch to debhelper 13
  * Bump Standards-Version to 4.7.2

 -- Benjamin Drung <bdrung@debian.org>  Sat, 11 Oct 2025 23:08:23 +0200
