=== debian/control ===
--- 
+++ 
@@ -1,20 +1,18 @@
 Source: portaudio19
 Priority: optional
 Section: sound
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Kilian Krause <kilian@debian.org>,
            Mark Purcell <msp@debian.org>,
            Benjamin Drung <bdrung@debian.org>
-Build-Depends: automake,
-               debhelper (>= 9),
-               dh-autoreconf,
+Build-Depends: debhelper-compat (= 13),
+               dpkg-dev (>= 1.13.19),
+               automake,
                doxygen,
-               dpkg-dev (>= 1.13.19),
                libasound2-dev [linux-any],
                libjack-dev,
-               pkg-config
-Standards-Version: 3.9.8
+               pkgconf
+Standards-Version: 4.7.2
 Homepage: http://www.portaudio.com/
 Vcs-Browser: https://salsa.debian.org/pkg-voip-team/portaudio19
 Vcs-Git: https://salsa.debian.org/pkg-voip-team/portaudio19.git
